// src/index.ts
import clipboardy from "clipboardy";
var src_default = function() {
    return {
        name: "vite-copy-url",
        configureServer: function configureServer(server) {
            var _server_config_server = server.config.server, host = _server_config_server.host, port = _server_config_server.port;
            var url = "http://".concat(host, ":").concat(port);
            clipboardy.writeSync(url);
            console.log("[vite-copy-url]: Has been copied to clipboard: ".concat(url));
        }
    };
};
export { src_default as default };
//# sourceMappingURL=index.esm.js.map